#!/bin/bash

# echo $1

if [ "$1" == "" ]; then
    echo 'add timestamp to pdf file created by Ghostscript ps2pdf'
    echo '(c) A. Junge 10/05/2004'
    echo 'Version for Bash by W. Runte 21-02-2011'
    echo 'Usage: pdftime ps-file'
    exit 1
fi

cdate=`date +/CreationDate' '\(D:20%y%m%d%H%M%S+01\'00\'\)`
echo $cdate

mdate=`date +/ModDate' '\(D:20%y%m%d%H%M%S+01\'00\'\)`
echo $mdate

mv "$1" "$1.tmp"
sed "s|/Keywords|$cdate $mdate /Keywords|" "$1.tmp" > "$1"
rm "$1.tmp"

exit 0

